<template>
	<div>
		<v-app-bar app color="grey lighten-3">
			<v-app-bar-nav-icon @click.stop="openDrawer" class="d-flex d-sm-none"></v-app-bar-nav-icon>
			<v-spacer></v-spacer>
			<img src="../assets/cozcytLogoNav.png" />
		</v-app-bar>
		<NavigationDrawer :displayDrawer="showDrawer" />
	</div>
</template>

<script>
import EventBus from "../bus";
import NavigationDrawer from "@/components/NavigationDrawer";

export default {
	name: "Navbar",
	components: { NavigationDrawer },
	data: () => ({
		showDrawer: false
	}),
	methods: {
		// Muestra el drawer
		openDrawer() {
			this.showDrawer = true;
		}
	},
	mounted() {
		// cierra el drawer
		EventBus.$on("closeDrawer", () => {
			this.showDrawer = false;
		});
	}
};
</script>